> For the complete documentation index, see [llms.txt](https://docs.zama.org/concrete-ml/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zama.org/concrete-ml/1.2/developer-guide/api/concrete.ml.common.serialization.decoder.md).

# concrete.ml.common.serialization.decoder.md

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.2.x/src/concrete/ml/common/serialization/decoder.py#L0)

## module `concrete.ml.common.serialization.decoder`

Custom decoder for serialization.

### **Global Variables**

* **ALL\_QUANTIZED\_OPS**
* **SUPPORTED\_TORCH\_ACTIVATIONS**
* **USE\_SKOPS**
* **TRUSTED\_SKOPS**
* **SERIALIZABLE\_CLASSES**

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.2.x/src/concrete/ml/common/serialization/decoder.py#L103)

### function `object_hook`

```python
object_hook(d: Any) → Any
```

Define a custom object hook that enables loading any supported serialized values.

If the input's type is non-native, then we expect it to have the following format.More information is available in the ConcreteEncoder class.

**Args:**

* `d` (Any): The serialized value to load.

**Returns:**

* `Any`: The loaded value.

**Raises:**

* `NotImplementedError`: If the serialized object does not provides a `dump_dict` method as expected.

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.2.x/src/concrete/ml/common/serialization/decoder.py#L224)

### class `ConcreteDecoder`

Custom json decoder to handle non-native types found in serialized Concrete ML objects.

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.2.x/src/concrete/ml/common/serialization/decoder.py#L227)

#### method `__init__`

```python
__init__(*args, **kwargs)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zama.org/concrete-ml/1.2/developer-guide/api/concrete.ml.common.serialization.decoder.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
